<!DOCTYPE html>
<!-- 
     to add comments in windows press ctrl + / 
     and for Mac press cmd + /

     Comments are useful for proper documentation and allow us developers to understand written code better.
     Note: These are ignored by 
 -->

 <!-- <html> tag tells the browser read the contents of the file as HTML -->
<html>
<!-- <head> tag contains the details of the HTML files that is not visible in the browser  -->
	<head>
		<!-- "utf-8" is a common character encoding for WWW -->
		<meta charset="utf-8">
		<!-- 
			- allow us to have responsiveness web page.
			- it can be view on different devices (mobile, tablet and pc)
		 -->
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- <title> tag sets the title of the tab shown in the browser -->
		<title>HTML Introduction</title>
	</head>
	<!-- <body> tag contains the actual content of the HTML file that are visible in the browser -->
	<body>
        <!-- 
        	A web page adheres to what is called a "document flow".
        	This determines how an element is to be
        	presented.


        	-block element
        	   - will cause a line break and occupy the full width of
        	   the webpage.

        	-Inline element
        	   - this will not cause a line break and will only take
        	   the space needed.
         -->

         <h1>Zuitt Coding Bootcamp</h1>
         <!-- <h2>Zuitt Coding Bootcamp</h2>
         <h3>Zuitt Coding Bootcamp</h3>
         <h4>Zuitt Coding Bootcamp</h4>
         <h5>Zuitt Coding Bootcamp</h5>
         <h6>Zuitt Coding Bootcamp</h6> -->
         
         <!-- Create a smaller heading text -->
         <h3>John Doe</h3>
         
           <!-- adds a horizontal rule element  -->
           <!-- single/self closing tag -->
         <hr>
         <!-- Introductory Paragraph -->
         <!-- Create a paragraph text -->
         <p>
         	           <!-- <em> create emphasis on text -->
         	           	<!-- <em> is an inline element -->
         	            <!-- <strong> creates importance on text -->
         	Welcome to <em>Zuitt</em>! 
         	<!-- <br> tag creates a line break between text -->
         	<br>
         	In this online bootcamp
         	course, you will learn a lot of things.
         	Let's enumerete all the things that will
         	make you a <strong>full-stack web developer</strong>.
         </p>
         <!-- List of languages, framework and tools -->
         <!-- Create an unordered list (bullet point)-->
         <ul>
         	<!-- Create the list item -->
         	<li>Languages</li>
         	<!-- Nested unorderedlist -->
	         	<ul>
	         		<li>HTML</li>
	         		<li>CSS</li>
	                <li>JavaScript</li>
	         	</ul>
         	<li>Framework & Libraries</li>
         	<!-- Create an ordered list (numbered point) -->
	         	<ol>
	         		<li>Bootstrap</li>
	                <li>Express.js</li>
	         		<li>React.js</li>
	         	</ol>
         	<li>Tools</li>
	         	<ol>
	         		<li>Git</li>
	         		<li>Gitlab</li>
	         		<li>Sublime Text 3</li>
	         		<li>Postman</li>
	         		<li>Others</li>
		         		<ul>
		         			<li>MongoDB</li>
		         			<li>Robo 3T</li>
		         		</ul>
	         	</ol>
         </ul>
         <!-- Closing paragraph -->
         <p>
         	There is a lot to learn in this bootcamp. It may look
         	overwhelming at the beginning, but it's all worth it
         	when you graduate!
         </p>
	</body>
</html>